Bug 710 - out of sequence typedef causes hpux build failure on build farm
out of sequence typedef causes hpux build failure on build farm
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.0
All HP-UX
: P2 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 11:49 UTC by Don McCall
Modified: 2005-11-14 09:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Don McCall 2003-11-03 11:49:15 UTC
cpp: "dynconfig.c", line 72: error 4033: Missing #endif at end of file.

this comes right after trying to compile dynconfig.c; and is a result of a 
typedef in nsswitch/winbind_nss_hpux.h for NSS_STATUS of type nss_status_t 
before nss_status_t is itself defined.  Please see the following cvs diff for 
changes needed (at least what I did to get it to build on hpux...)
THANKS!
Don
diff -u -r1.1.2.1 winbind_nss_hpux.h
--- winbind_nss_hpux.h  2 Apr 2003 06:16:15 -0000       1.1.2.1
+++ winbind_nss_hpux.h  3 Nov 2003 19:48:13 -0000
@@ -25,9 +25,6 @@

 #include <nsswitch.h>

-#ifndef _HAVE_TYPEDEF_NSS_STATUS
-#define _HAVE_TYPEDEF_NSS_STATUS
-typedef nss_status_t NSS_STATUS;

 #define NSS_STATUS_SUCCESS     NSS_SUCCESS
 #define NSS_STATUS_NOTFOUND    NSS_NOTFOUND
@@ -47,6 +44,11 @@
        NSS_UNAVAIL,
        NSS_TRYAGAIN
 } nss_status_t;
+
+#ifndef _HAVE_TYPEDEF_NSS_STATUS
+#define _HAVE_TYPEDEF_NSS_STATUS
+typedef nss_status_t NSS_STATUS;
+#endif /* _HAVE_TYPEDEF_NSS_STATUS */

 struct nss_backend;
Comment 1 Tim Potter 2003-11-04 07:10:01 UTC
Jeremy has applied.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:19 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:27:17 UTC
database cleanup